org.eclipse.gef.dot.internal.ui.language.contentassist

## Class AbstractDotColorProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  DotColorProposalProvider

    public class AbstractDotColorProposalProvider
    extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

Represents a generated, default implementation of superclass `AbstractJavaBasedContentProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotColorProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete_COLOR_NUMBER(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_COLOR_STRING(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Color(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_DIGITS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_hex(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_HEXADECIMAL_DIGIT(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_HSVColor(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_RGBColor(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_StringColor(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_WS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_ZERO_OR_ONE(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeHSVColor_H(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeHSVColor_S(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeHSVColor_V(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeRGBColor_A(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeRGBColor_B(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeRGBColor_G(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeRGBColor_R(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeStringColor_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeStringColor_Scheme(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotColorProposalProvider

    public AbstractDotColorProposalProvider()

### Method Detail

#### completeRGBColor_R

    public void completeRGBColor_R(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeRGBColor_G

    public void completeRGBColor_G(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeRGBColor_B

    public void completeRGBColor_B(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeRGBColor_A

    public void completeRGBColor_A(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeHSVColor_H

    public void completeHSVColor_H(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeHSVColor_S

    public void completeHSVColor_S(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeHSVColor_V

    public void completeHSVColor_V(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeStringColor_Scheme

    public void completeStringColor_Scheme(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeStringColor_Name

    public void completeStringColor_Name(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Color

    public void complete_Color(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_RGBColor

    public void complete_RGBColor(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_HSVColor

    public void complete_HSVColor(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_StringColor

    public void complete_StringColor(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_hex

    public void complete_hex(org.eclipse.emf.ecore.EObject model,
                             org.eclipse.xtext.RuleCall ruleCall,
                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_COLOR_NUMBER

    public void complete_COLOR_NUMBER(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_HEXADECIMAL_DIGIT

    public void complete_HEXADECIMAL_DIGIT(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_COLOR_STRING

    public void complete_COLOR_STRING(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_ZERO_OR_ONE

    public void complete_ZERO_OR_ONE(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_DIGITS

    public void complete_DIGITS(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_WS

    public void complete_WS(org.eclipse.emf.ecore.EObject model,
                            org.eclipse.xtext.RuleCall ruleCall,
                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)